# Type Alias DatasourceResult<T>

type DatasourceResult<T extends {} = {}> = {
count_result: number;
data: T[];
datasource: {
datasourceIdentifier: string;
datasourceType: DatasourceType;
};
model: WidgetTableColumn[];
result_in_cache: boolean;
sort: DatasourceResultSort;
type: DatasourceType;
}

#### Type Parameters

- T extends {} = {}

- Defined in jamespot-user-api/src/apis/datasource/datasource.ts:14

##### Index

### Properties

count_result
data
datasource
model
result_in_cache
sort
type

## Properties

### count_result

count_result: number

- Defined in jamespot-user-api/src/apis/datasource/datasource.ts:16

### data

data: T[]

- Defined in jamespot-user-api/src/apis/datasource/datasource.ts:20

### datasource

datasource: { datasourceIdentifier: string; datasourceType: DatasourceType }

- Defined in jamespot-user-api/src/apis/datasource/datasource.ts:21

### model

model: WidgetTableColumn[]

- Defined in jamespot-user-api/src/apis/datasource/datasource.ts:18

### result_in_cache

result_in_cache: boolean

- Defined in jamespot-user-api/src/apis/datasource/datasource.ts:17

### sort

sort: DatasourceResultSort

- Defined in jamespot-user-api/src/apis/datasource/datasource.ts:19

### type

type: DatasourceType

- Defined in jamespot-user-api/src/apis/datasource/datasource.ts:15